cURL
curl --request POST \ --url https://orbitflare.com/api/customer/v2/auth/wallet/register \ --header 'Content-Type: application/json' \ --header 'X-ORBIT-KEY: <api-key>' \ --data ' { "wallet_address": "<string>", "signature": "<string>", "name": "<string>", "email": "jsmith@example.com" } '
{ "success": true, "message": "<string>", "data": { "token_type": "Bearer", "access_token": "<string>", "expires_in": 123, "user": { "id": 123, "name": "<string>", "email": "jsmith@example.com", "wallet_address": "<string>", "payment_wallet_address": "<string>", "balance": 123, "created_at": "2023-11-07T05:31:56Z" }, "api_key": { "name": "<string>", "key": "<string>" } } }
Create a new account linked to a Solana wallet. Requires a valid challenge signature.
API key for v1 and v2 (when not using Bearer token)
32 - 44
255
Account created. Token and default API key returned.
true
Show child attributes
Was this page helpful?